// import { app } from '@/app.ts';
import { manager, loadManager, app as ManagerApp } from '@kevisual/local-app-manager';
import { fileIsExist } from '@kevisual/use-config/env';
import path from 'path';
const assistantAppsConfig = path.join(process.cwd(), 'assistant-apps-config.json');
const isExist = fileIsExist(assistantAppsConfig);
export const existDenpend = [
  'sequelize', // commonjs
  'pg', // commonjs
  '@kevisual/router', // 共享模块
  'ioredis', // commonjs
  'socket.io', // commonjs
  'minio', // commonjs
  'pino', // commonjs
  'pino-pretty', // commonjs
  '@msgpack/msgpack', // commonjs
];
// export const manager = new Manager({ mainApp: app });
export { manager };
// console.log('app', app, );
// console.log('app2 context', global.context);
// console.log('app equal', app === ManagerApp);
if (isExist) {
  loadManager({ runtime: 'server', configFilename: 'assistant-apps-config.json' });
} else {
  loadManager({ runtime: 'server' });
}

// middleware: ['auth-admin']
/*
    path: 'local-apps',
    key: 'detect',

    path: 'local-apps',
    key: 'list',

    path: 'local-apps',
    key: 'updateStatus',   

    path: 'local-apps',
    key: 'delete',
*/
